Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
Update an existing FileSet
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId} \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "name": "Policies (FY25)",
  "description": "Repository for new policies created ONLY in FY2025"
}
'
{
  "id": "e49f188e-be98-451d-ba0f-ada1157bb656",
  "name": "Policies (FY25)",
  "description": "Repository for new policies created ONLY in FY2025",
  "aiEnabled": false,
  "indexStatus": null,
  "connector": "DOMO",
  "created": "2025-07-28T20:17:43.958Z",
  "createdBy": 27,
  "updated": "2025-07-28T20:17:43.958Z",
  "updatedBy": 27,
  "owner": "27",
  "accountId": 0,
  "connectorContext": null,
  "permission": "OWNER",
  "size": 0,
  "fileCount": 0
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet to update.

Body

application/json

The request object containing the updated details for the FileSet. Only fields that are not null in the request will be updated.

Represents a request to update a file set. At least one of the fields must be provided to update the file set.

name
string

The name with which to update the file set's name. If not provided, the name will remain unchanged.

description
string

Optional description with which to update the file set's description. If not provided, the description will remain unchanged.

aiEnabled
boolean

Optional flag to enable or disable AI features for the file set.

Response

FileSet updated successfully

Represents a file set, which is a collection of files.

id
string

Unique identifier for the file set.

name
string

Name of the file set, determined by the client.

description
string

Optional description of the file set, determined by the client.

aiEnabled
boolean

Flag indicating whether AI features are enabled for the file set.

connector
enum<string>

The connector used to power the file set, which defines how files are ingested.

Available options:
DOMO,
CONFLUENCE,
GITHUB,
GOOGLE_DRIVE,
S3,
SFTP,
UNKNOWN
created
string<date-time>

Timestamp when the file set was created.

createdBy
integer<int64>

ID of the user who created the file set.

updated
string<date-time>

Timestamp when the file set was last updated.

updatedBy
integer<int64>

ID of the user who last updated the file set.

owner
string

ID of the user who owns the file set, which is typically the creator until ownership is transferred.

permission
enum<string>

The permission level of the current user to the file set, which determines access rights.

Available options:
OWNER,
EDIT,
READ,
NONE
size
integer<int64>

The estimated total size of the files in the file set, in bytes.

fileCount
integer<int64>

The estimated total number of files in the file set.